## parrot 2.6.0

=== examples/embed/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Copyright (C) 2009, Parrot Foundation.
-## $Id$
+## $Id: Makefile 46239 2010-05-03 17:03:35Z NotFound $
 
 # To build this example with an installed parrot:
 #
@@ -12,6 +12,7 @@
 
 CC = $(shell parrot_config cc)
 CCFLAGS = $(shell parrot_config ccflags)
+CCWARN = $(shell parrot_config ccwarn)
 LD = $(shell parrot_config ld)
 LD_OUT = $(shell parrot_config ld_out)
 LINKFLAGS = $(shell parrot_config inst_libparrot_linkflags) $(shell parrot_config rpath_lib)
@@ -28,7 +29,7 @@
 #-----------------------------------------------------------------------
 
 cotorra$(O): cotorra.c
-	$(CC) $(CCFLAGS) -c -I $(INCLUDEDIR) cotorra.c
+	$(CC) $(CCFLAGS) $(CCWARN) -c -I $(INCLUDEDIR) cotorra.c
 
 cotorra$(EXE): cotorra$(O)
 	$(LD) $(LD_OUT)cotorra$(EXE) cotorra$(O) $(CONFIG)$(O) $(LINKFLAGS)
