## parrot 3.6.0

=== debian/changelog ===
parrot (3.6.0-1) unstable; urgency=low
  * New upstream release
  * debian/watch:
    - Modified regular expression to capture numbered directory name
      (patch from Dominique Dumont).
  * debian/rules:
    - Split build-arch and build-indep, resolving lintian warning.
    - Update path to pbc_disassemble for manpage generation (patch
      from Dominique Dumont).
  * debian/patches:
    - Added patch 02_fix_perl_interpreter_path.patch, resolving
      lintian warnings.
  * debian/control:
    - Added DM-Upload-Allowed field.

 -- Allison Randal <allison@parrot.org>  Sat, 30 Jul 2011 18:45:03 +0200

parrot (3.3.0-1) unstable; urgency=low
  * New upstream release (Closes: #612664)
  * debian/control.in:
    - Bumped Standards-Version to 3.9.2.
    - Removed dependency on quilt (patch from Dominique Dumont)
    - Added Homepage (patch from Alessandro Ghedini)
  * debian/rules
    - Patch from upstream explicitly sets mandir to /usr/share/man,
      to comply with Debian policy (Closes: #610994)
    - Updated locations of parrot_debugger, pbc_dump, and
      pbc_merge in new release for manpage generation (patch from
      Kyle Willmon and Dominique Dumont)
    - Removed explicit references to quilt, patch application is
      handled by dpkg-source with source package format "3.0 (quilt)"
      (patch from Dominique Dumont)
  * debian/patches:
    - Removed 04_fix_opsc_man.patch, change included upstream (patch
      from Kyle Willmon)
    - Removed 05_fix_gc_ftbfs_ia64.patch, change included
      upstream (patch from Kyle Willmon and Dominique Dumont)
    - Added patch description to 03_fix_nqp_man.patch.
    - Added typo patch 01_fix_spelling_errors.patch, caught by lintian
      (patch from Alessandro Ghedini)
  * debian/copyright:
    - Updated the format to DEP5 (patch from Dominique Dumont)
  * debian/source:
    - Added source package format "3.0 (quilt)" (patch from Dominique
      Dumont)
  * debian/README.source:
    - Removed, no longer needed with source package format "3.0 (quilt)"
      (patch from Dominique Dumont)
  * debian/parrot-devel.install:
    - Removed runtime library Protoobject.pbc, no longer exists upstream.
  * debian/parrot-doc:
    - Replaced DEPRECATED.pod with api.yaml, filename and format
      changed upstream.
  * debian/libparrot3.3.0.symbols:
    - Added *.symbols file (patch from Alessandro Ghedini)

 -- Allison Randal <allison@parrot.org>  Sun, 01 May 2011 19:18:49 +0200

parrot (2.9.1-1) unstable; urgency=low
  * New upstream release (Closes: #601704)
  * debian/rules:
    - Fix script-not-executable lintian warning.
  * debian/patches:
    - Added 05_fix_gc_ftbfs_ia64.patch, from upstream, resolve
      FTBFS on ia64 arch, missing argument to trace_mem_block
      function (Closes: #597138).

 -- Allison Randal <allison@parrot.org>  Sat, 27 Nov 2010 17:17:58 -0800

parrot (2.6.0-1) unstable; urgency=low
  * New upstream release
  * debian/parrot-devel.install.in:
    - Applied patch from Matt Kraai to install new NQP supporting
      libraries and install new Opcode generation tool ops2c and
      supporting library opsc.pbc.
  * debian/patches:
    - Added 04_fix_opsc_man.patch, added README for new ops2c
      binary.
  * debian/rules:
    - Generate manpage from the ops2c README file.

 -- Allison Randal <allison@parrot.org>  Sat, 31 Jul 2010 18:32:07 +0100

parrot (2.3.0-1) unstable; urgency=low
  * New upstream release
  * debian/patches:
    - Removed 01_fix_doc_install.patch, change included upstream.
    - Removed 02_fix_man_whatis.patch, change included upstream.
  * control.in
    - Removed package dependency on libgdbm-dev, no longer used.

 -- Allison Randal <allison@parrot.org>  Tue, 27 Apr 2010 18:03:12 +0100

parrot (2.0.0-1) unstable; urgency=low
  * New upstream release
  * parrot-devel.install.in
    - Install parrot-nqp binary and supporting library.
  * debian/patches:
    - Added 01_fix_doc_install.patch, from upstream, missing DESTDIR
      flag to new 'install-doc' target needed for package build.
    - Added 02_fix_man_whatis.patch, from upstream, resolve parsing
      errors in pbc_to_exe and parrot_debugger manpages.
    - Added 03_fix_nqp_man.patch, added manpage for new parrot-nqp
      binary.
  * debian/control.in:
    - Bumped Standards-Version to 3.8.4.
    - Added quilt as Build-Depends for patches.
  * debian/rules:
    - Changed install target from 'install-dev' to 'install', they are
      now identical.
    - Added LD_LIBRARY_PATH to 'install' target, needed for the new parrot-nqp
      binary.
    - Added quilt support for patches.
    - Generate and install manpage for parrot-nqp binary.
  * debian/README.source:
    - Added for use of quilt patch system.
  * debian/copyright:
    - Updated copyright year.
    - Added copyright notice for external nqp files in ext/.

 -- Allison Randal <allison@parrot.org>  Sun, 07 Feb 2010 14:26:29 +0000

parrot (1.4.0-1) unstable; urgency=low
  * New upstream release
  * debian/rules:
    - New upstream configuration option --disable-rpath allows packages to
      be built without rpath.
  * debian/parrot-devel.install.in
    - Install pbc_to_exe binary and supporting library.

 -- Allison Randal <allison@parrot.org>  Fri, 24 Jul 2009 23:54:07 -0700

parrot (1.0.0-1) unstable; urgency=low
  * New upstream release
  * debian/control.in:
    - Updated Description of all packages.
    - Bumped Standards-Version to 3.8.1
    - Add new packages parrot-minimal and parrot-devel
  * debian/rules:
    - Integrate Ubuntu packaging changes to automatically generate
      debian/control.
    - Re-order dh_installdeb in binary-arch to run after dh_makeshlibs and
      shlibdeps so that the library gets installed properly (patch from David
      Nusinow)
    - Move manpage generation to new packages. Rename parrot-debugger.1 to
      parrot_debugger.1 to match executable name. Generate parrot_config
      manpage from .pir source files (patch from David Nusinow)

