=== debian/control ===
Source: parrot
Section: interpreters
Priority: optional
Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
Uploaders: Allison Randal <allison@parrot.org>, Nuno Carvalho <mestre.smash@gmail.com>, Patrick Michaud <pmichaud@pobox.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libreadline-dev
Standards-Version: 3.9.2
Homepage: http://parrot.org

Package: parrot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, parrot-minimal (= ${binary:Version})
Suggests: parrot-doc
Provides: parrot-test, parrot-data-dumper
Description: virtual machine for dynamic languages
 Parrot is a bytecode-based virtual machine designed for dynamic languages.
 Parrot hosts a variety of language implementations, including Tcl, Javascript,
 Ruby, Lua, Scheme, PHP, Python, Perl 6, and a .NET bytecode translator.

Package: parrot-minimal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: parrot ( << 1.0.0 )
Replaces: parrot ( << 1.0.0 )
Description: minimal install of the Parrot VM
 This package contains the core Parrot virtual machine. It's all that you need
 to get up and running in the average use case, and is sufficient to run most
 language implementations.

Package: libparrot3.6.0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Parrot shared library
 This package contains the Parrot shared library, used by the Parrot virtual
 machine and by programs that embed Parrot.
 
Package: libparrot-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libparrot3.6.0 (= ${binary:Version}), parrot
Description: Parrot shared library development files
 This package contains header files and a static library, needed to develop
 applications which embed Parrot.

Package: parrot-doc
Architecture: all
Section: doc
Suggests: perl-doc
Depends: ${misc:Depends}
Description: Parrot documentation
 Parrot manual pages and raw Pod documentation. If you are developing a
 compiler or extensions for Parrot, you will need this. If you're only using a
 Parrot hosted language, the language-specific documentation is sufficient.

Package: parrot-devel
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, libparrot-dev, perl
Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
Description: Parrot development tools
 This package contains development tools for the Parrot virtual machine. It is
 essential for developing language implementations to run on Parrot, but not
 needed for running languages once they've been installed.
