=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
 Uploaders: Allison Randal <allison@parrot.org>, Nuno Carvalho <mestre.smash@gmail.com>, Patrick Michaud <pmichaud@pobox.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libreadline-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libicu-dev, libreadline-dev
+Standards-Version: 3.9.3
 Homepage: http://parrot.org
 
 Package: parrot
@@ -13,6 +13,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, parrot-minimal (= ${binary:Version})
 Suggests: parrot-doc
 Provides: parrot-test, parrot-data-dumper
+Breaks: rakudo ( << 0.1~2012.01 )
 Description: virtual machine for dynamic languages
  Parrot is a bytecode-based virtual machine designed for dynamic languages.
  Parrot hosts a variety of language implementations, including Tcl, Javascript,
@@ -23,12 +24,13 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: parrot ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 )
+Provides: parrotapi-4.0.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot3.6.0
+Package: libparrot4.0.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -39,7 +41,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot3.6.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot4.0.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -57,7 +59,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-4.0.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
 Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
