## parrot 5.0.0

=== debian/changelog ===
parrot (5.0.0-1) unstable; urgency=low

  * New upstream release
  * Drop 04_fix_hurd_ftbfs.patch (merged upstream)
  * parrot-devel.install: library/config.pir no longer installed upstream
  * debian/control: Drop deprecated DM-Upload-Allowed
  * debian/copyright: Updated copyright years to 2013

 -- Allison Randal <allison@parrot.org>  Sun, 24 Feb 2013 10:37:06 -0800
