## parrot 5.9.0

=== debian/changelog ===
parrot (5.9.0-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 04:58:33 +0000

parrot (5.9.0-1) unstable; urgency=low

  * New upstream release
  * Update control and *.install to new release
  * Fix ICU header detection (Closes: #724336)
  * Refresh patches
  * Remove outdated Conflicts/Replaces on parrot 1.0.0

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 24 Oct 2013 15:27:31 +0200
