=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: parrot
 Section: interpreters
 Priority: optional
-Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
 Uploaders: Allison Randal <allison@parrot.org>,
  Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
@@ -22,15 +23,13 @@
 Package: parrot-minimal
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: parrot ( << 1.0.0 )
-Replaces: parrot ( << 1.0.0 )
-Provides: parrotapi-5.0.0
+Provides: parrotapi-5.9.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot5.0.0
+Package: libparrot5.9.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -41,7 +40,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot5.0.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot5.9.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -59,10 +58,8 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-5.0.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-5.9.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
-Conflicts: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
-Replaces: parrot ( << 1.0.0 ), libparrot-dev ( << 1.0.0 )
 Description: Parrot development tools
  This package contains development tools for the Parrot virtual machine. It is
  essential for developing language implementations to run on Parrot, but not
