=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 VERSION = $(shell cat VERSION)
 SOVERSION = $(VERSION)
+
+DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 CONTROL_FILES = \
   debian/control.in \
@@ -29,6 +31,7 @@
 	dh_testdir
 	perl Configure.pl --ccflags="$(CFLAGS)" --ldflags="$(LDFLAGS)"	\
 		--prefix=/usr --mandir=/usr/share/man --disable-rpath	\
+		--icuheaders=/usr/include/$(DEB_HOST_MULTIARCH)		\
 		--without-libffi --without-gmp --without-opengl		\
 		--without-pcre --without-zlib
 	touch configure-stamp
