## parrot 6.3.0

=== debian/changelog ===
parrot (6.3.0-1) unstable; urgency=medium

  * Imported Upstream version 6.3.0

 -- Dominique Dumont <dod@debian.org>  Sat, 26 Apr 2014 08:41:44 +0200

parrot (6.0.0-1) unstable; urgency=medium

  * Imported Upstream version 6.0.0
  * debian/rules: enable bigint support (Closes: #724450)
  + control: added Build-Dep on libgmp-dev
  * copyright: updated year to 2014

 -- Dominique Dumont <dod@debian.org>  Fri, 04 Apr 2014 13:58:55 +0200
