=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: parrot
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
+Maintainer: Debian Parrot Maintainers <pkg-parrot-devel@lists.alioth.debian.org>
 Uploaders: Allison Randal <allison@parrot.org>,
  Alessandro Ghedini <ghedo@debian.org>,
  Dominique Dumont <dod@debian.org>
-Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libicu-dev, libreadline-dev
+Build-Depends: debhelper (>= 5.0.0), perl, perl-doc, libgmp-dev, libicu-dev, libreadline-dev
 Standards-Version: 3.9.4
 Homepage: http://parrot.org
 
@@ -23,13 +22,13 @@
 Package: parrot-minimal
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: parrotapi-5.9.0
+Provides: parrotapi-6.3.0
 Description: minimal install of the Parrot VM
  This package contains the core Parrot virtual machine. It's all that you need
  to get up and running in the average use case, and is sufficient to run most
  language implementations.
 
-Package: libparrot5.9.0
+Package: libparrot6.3.0
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -40,7 +39,7 @@
 Package: libparrot-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, libparrot5.9.0 (= ${binary:Version}), parrot
+Depends: ${misc:Depends}, libparrot6.3.0 (= ${binary:Version}), parrot
 Description: Parrot shared library development files
  This package contains header files and a static library, needed to develop
  applications which embed Parrot.
@@ -58,7 +57,7 @@
 Package: parrot-devel
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-5.9.0, libparrot-dev, perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, parrot, parrotapi-6.3.0, libparrot-dev, perl
 Provides: parrot-pge, parrot-tge, parrot-pct, parrot-nqp
 Description: Parrot development tools
  This package contains development tools for the Parrot virtual machine. It is
