## parrot 6.6.0

=== debian/changelog ===
parrot (6.6.0-1) unstable; urgency=medium

  * Imported Upstream version 6.6.0
  * control: bumped standards to 3.9.5

 -- Dominique Dumont <dod@debian.org>  Thu, 21 Aug 2014 19:38:41 +0200
