=== debian/watch ===
version=3

ftp://ftp.parrot.org/pub/parrot/releases/stable/([\d\.]+)/parrot-([\d\.]+).tar.gz
